Subject: Re: bug#74540: 30.0.91; mention special variables in lexbind Info page

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Nov 2024 17:28:31 +0200

> From: Mike Kupfer <[email-masked]>
> Date: Mon, 25 Nov 2024 16:52:05 -0800
> 
> When I first read up on lexical binding, I didn't realize that I also
> needed to review the documentation for dynamic binding, so that I
> could learn about special variables.  I think it would be good for the
> Info page for lexical binding to mention special variables, clarify
> that the specialness also affects new bindings (not just the initial
> defvar/defcustom/defconst), and provide a link to the page for dynamic
> binding (for details about special variables).
> 
> I've enclosed a draft patch for your consideration.

Thanks, installed on the emacs-30 branch, and closing the bug.